Bug 1573330 - netgen binary rename to netgen-mesher break cmake config module
Summary: netgen binary rename to netgen-mesher break cmake config module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: netgen-mesher
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 20:59 UTC by Richard Shaw
Modified: 2018-05-15 20:04 UTC (History)
2 users (show)

Fixed In Version: netgen-mesher-6.2-0.5.git94fd571.fc27 netgen-mesher-6.2-0.5.git94fd571.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 19:52:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Shaw 2018-04-30 20:59:16 UTC
Because the netgen binary is renamed in %install the cmake config module still references netgen which causes the following error during config/import for cmake:

CMake Error at /usr/share/cmake/netgen-targets.cmake:164 (message):
  The imported target "netgen" references the file

     "/usr/bin/netgen"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/share/cmake/netgen-targets.cmake"

If I have time I'll look at patching the output to correct this.

Comment 1 Richard Shaw 2018-04-30 22:41:30 UTC
Scratch build complete:

http://koji.fedoraproject.org/koji/taskinfo?taskID=26687550

Please review as I didn't dig into the spec file that much, just added a cmake patch and removed all the netgen->netgen-mesher renames.

Comment 2 Sandro Mani 2018-04-30 22:47:20 UTC
Thanks, looks good, just a question: what's the rationale behind the 
-DOpenGL_GL_PREFERENCE=GLVND
line?

Comment 3 Richard Shaw 2018-04-30 22:49:59 UTC
Newer versions of cmake need to know about this for GL apps, it complained and mentioned the behavior will change in the future. Instead of adding another patch to deal with setting the cmake policy I just set it since I'm pretty sure all supported versions of Fedora use it.

I didn't check to see if there was an EPEL branch...

Comment 4 Sandro Mani 2018-04-30 22:50:42 UTC
Ok thanks

Comment 5 Richard Shaw 2018-04-30 22:52:12 UTC
Ahh, I just really figured out why you're doing multiple builds... That change should apply to all 3...

Here's the error when not set:

CMake Warning (dev) at /usr/share/cmake/Modules/FindOpenGL.cmake:270 (message):
  Policy CMP0072 is not set: FindOpenGL prefers GLVND by default when
  available.  Run "cmake --help-policy CMP0072" for policy details.  Use the
  cmake_policy command to set the policy and suppress this warning.
  FindOpenGL found both a legacy GL library:
    OPENGL_gl_LIBRARY: /usr/lib64/libGL.so
  and GLVND libraries for OpenGL and GLX:
    OPENGL_opengl_LIBRARY: /usr/lib64/libOpenGL.so
    OPENGL_glx_LIBRARY: /usr/lib64/libGLX.so
  OpenGL_GL_PREFERENCE has not been set to "GLVND" or "LEGACY", so for
  compatibility with CMake 3.10 and below the legacy GL library will be used.

Comment 6 Fedora Update System 2018-05-02 12:36:16 UTC
netgen-mesher-6.2-0.5.git94fd571.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1959cd8f32

Comment 7 Fedora Update System 2018-05-02 12:36:24 UTC
netgen-mesher-6.2-0.5.git94fd571.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce59a68e06

Comment 8 Fedora Update System 2018-05-03 19:31:04 UTC
netgen-mesher-6.2-0.5.git94fd571.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1959cd8f32

Comment 9 Fedora Update System 2018-05-03 20:21:57 UTC
netgen-mesher-6.2-0.5.git94fd571.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce59a68e06

Comment 10 Fedora Update System 2018-05-15 19:52:31 UTC
netgen-mesher-6.2-0.5.git94fd571.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-15 20:04:45 UTC
netgen-mesher-6.2-0.5.git94fd571.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.